Bug 176130 - New port: www/cakephp23
New port: www/cakephp23
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Guido Falsi
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-13 22:30 UTC by pphillips
Modified: 2013-06-24 22:00 UTC (History)
0 users

See Also:


Attachments
file.diff (99.60 KB, patch)
2013-02-13 22:30 UTC, pphillips
no flags Details | Diff
cakephp.diff (99.76 KB, patch)
2013-05-26 15:58 UTC, Guido Falsi
no flags Details | Diff
cakephp23.diff (7.61 KB, patch)
2013-06-23 14:30 UTC, Guido Falsi
no flags Details | Diff
cakephp23.diff (7.61 KB, patch)
2013-06-23 14:30 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description pphillips 2013-02-13 22:30:00 UTC
The CakePHP 2.3 branch is out.  Here's a diff for the www category with the new port.  It also includes updates for the conflicts of the other cakephp ports.

Fix: Patch attached with submission follows:
Comment 1 Guido Falsi freebsd_committer 2013-05-26 11:43:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 2 Guido Falsi freebsd_committer 2013-05-26 15:58:04 UTC
Hi,

Your patch lacks a LATEST_LINK line, either in the cakephp22 port 
(making cakephp23 the "default" one) or in cakephp23 if you want to let 
cakephp be the default one for now.

I also fixed a typo in one of the CONFLICTS lines, for cakephp22.

Attaching patch adding the LATEST_LINK line for cakephp22. Is this ok 
for you?

Thanks.

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 3 Guido Falsi freebsd_committer 2013-05-26 15:59:33 UTC
State Changed
From-To: open->feedback

Ask for submitter approval.
Comment 4 Guido Falsi freebsd_committer 2013-06-23 14:30:33 UTC
Hi again.

I also just noticed that a mich newer version is available for CakePHP 
2.3 series.

Here is an updated patch for the new port upgraded to 2.3.6.

Please note that the patch is against an svn checkout where I copied 
thee cakephp22 port to cakephp23, so it's relative to that.

Thanks in advance for your feedback.

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 5 Guido Falsi freebsd_committer 2013-06-23 14:30:46 UTC
Hi again.

I also just noticed that a much newer version is available for CakePHP 
2.3 series.

Here is an updated patch for the new port upgraded to 2.3.6.

Please note that the patch is against an svn checkout where I copied 
thee cakephp22 port to cakephp23, so it's relative to that.

Thanks in advance for your feedback.

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 6 pphillips 2013-06-24 18:13:26 UTC
On 06/23/2013 06:30 AM, Guido Falsi wrote:
> Hi again.
>
> I also just noticed that a much newer version is available for CakePHP 
> 2.3 series.
>
> Here is an updated patch for the new port upgraded to 2.3.6.
>
> Please note that the patch is against an svn checkout where I copied 
> thee cakephp22 port to cakephp23, so it's relative to that.
>
> Thanks in advance for your feedback.
>
Thanks for updating it.  It looks good to me!
Comment 7 Guido Falsi freebsd_committer 2013-06-24 20:32:30 UTC
State Changed
From-To: feedback->open

Submitter has approved.
Comment 8 dfilter freebsd_committer 2013-06-24 21:55:19 UTC
Author: madpilot
Date: Mon Jun 24 20:55:09 2013
New Revision: 321716
URL: http://svnweb.freebsd.org/changeset/ports/321716

Log:
  add new port: www/cakephp23
  
  This is a port of the CakePHP web application framework. CakePHP is a
  free open-source rapid development framework for PHP. It's a structure
  of libraries, classes and run-time infrastructure for programmers
  creating web applications originally inspired by the Ruby on Rails
  framework. Our primary goal is to enable you to work in a structured
  and rapid manner - without loss of flexibility.
  
  Add conflicts to the various cakephp ports.
  
  PR:		ports/176130
  Submitted by:   Phil Phillips <pphillips@experts-exchange.com>
  		(maintainer of other cakephp ports)

Added:
  head/www/cakephp23/
     - copied from r321632, head/www/cakephp22/
Modified:
  head/www/Makefile
  head/www/cakephp11/Makefile   (contents, props changed)
  head/www/cakephp12/Makefile
  head/www/cakephp21/Makefile
  head/www/cakephp22/Makefile
  head/www/cakephp23/Makefile
  head/www/cakephp23/distinfo
  head/www/cakephp23/pkg-plist

Modified: head/www/Makefile
==============================================================================
--- head/www/Makefile	Mon Jun 24 20:25:23 2013	(r321715)
+++ head/www/Makefile	Mon Jun 24 20:55:09 2013	(r321716)
@@ -76,6 +76,7 @@
     SUBDIR += cakephp13
     SUBDIR += cakephp21
     SUBDIR += cakephp22
+    SUBDIR += cakephp23
     SUBDIR += calamaris
     SUBDIR += cas
     SUBDIR += castget

Modified: head/www/cakephp11/Makefile
==============================================================================
--- head/www/cakephp11/Makefile	Mon Jun 24 20:25:23 2013	(r321715)
+++ head/www/cakephp11/Makefile	Mon Jun 24 20:55:09 2013	(r321716)
@@ -19,7 +19,7 @@ USE_BZIP2=	yes
 USE_APACHE_RUN=	22+
 SLAVE_PORT_MODULES=	REWRITE
 
-CONFLICTS=	cakephp-1.[23].*
+CONFLICTS=	cakephp-1.[23].* cakephp-2.*
 NO_BUILD=	yes
 
 USE_PHP=	pcre session

Modified: head/www/cakephp12/Makefile
==============================================================================
--- head/www/cakephp12/Makefile	Mon Jun 24 20:25:23 2013	(r321715)
+++ head/www/cakephp12/Makefile	Mon Jun 24 20:55:09 2013	(r321716)
@@ -21,7 +21,7 @@ PORTDOCS=	README
 
 SLAVE_PORT_MODULES=	REWRITE
 
-CONFLICTS=	cakephp-1.[13].*
+CONFLICTS=	cakephp-1.[13].* cakephp-2.*
 
 NO_BUILD=	yes
 USES=		gettext

Modified: head/www/cakephp21/Makefile
==============================================================================
--- head/www/cakephp21/Makefile	Mon Jun 24 20:25:23 2013	(r321715)
+++ head/www/cakephp21/Makefile	Mon Jun 24 20:55:09 2013	(r321716)
@@ -22,7 +22,7 @@ PORTDOCS=	README
 
 SLAVE_PORT_MODULES=	REWRITE
 
-CONFLICTS=	cakephp-1.* cakephp-2.2.*
+CONFLICTS=	cakephp-1.* cakephp-2.[23].*
 
 NO_BUILD=	yes
 USES=		gettext

Modified: head/www/cakephp22/Makefile
==============================================================================
--- head/www/cakephp22/Makefile	Mon Jun 24 20:25:23 2013	(r321715)
+++ head/www/cakephp22/Makefile	Mon Jun 24 20:55:09 2013	(r321716)
@@ -8,6 +8,8 @@ CATEGORIES=	www
 MAINTAINER=	pphillips@experts-exchange.com
 COMMENT=	A framework for developing PHP web applications
 
+LATEST_LINK=	cakephp22
+
 LICENSE=	MIT
 
 USE_GITHUB=	yes
@@ -18,7 +20,7 @@ PORTDOCS=	README.md
 
 SLAVE_PORT_MODULES=	REWRITE
 
-CONFLICTS=	cakephp-1.* cakephp-2.1.*
+CONFLICTS=	cakephp-1.* cakephp-2.[13].*
 
 NO_BUILD=	yes
 USES=		gettext

Modified: head/www/cakephp23/Makefile
==============================================================================
--- head/www/cakephp22/Makefile	Sun Jun 23 12:34:33 2013	(r321632)
+++ head/www/cakephp23/Makefile	Mon Jun 24 20:55:09 2013	(r321716)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	cakephp
-PORTVERSION=	2.2.7
+PORTVERSION=	2.3.6
 CATEGORIES=	www
 
 MAINTAINER=	pphillips@experts-exchange.com
@@ -12,13 +12,13 @@ LICENSE=	MIT
 
 USE_GITHUB=	yes
 GH_ACCOUNT=	${PORTNAME}
-GH_COMMIT=	1bb28d3
+GH_COMMIT=	b81c198
 
 PORTDOCS=	README.md
 
 SLAVE_PORT_MODULES=	REWRITE
 
-CONFLICTS=	cakephp-1.* cakephp-2.1.*
+CONFLICTS=	cakephp-1.* cakephp-2.[12].*
 
 NO_BUILD=	yes
 USES=		gettext

Modified: head/www/cakephp23/distinfo
==============================================================================
--- head/www/cakephp22/distinfo	Sun Jun 23 12:34:33 2013	(r321632)
+++ head/www/cakephp23/distinfo	Mon Jun 24 20:55:09 2013	(r321716)
@@ -1,2 +1,2 @@
-SHA256 (cakephp-2.2.7.tar.gz) = 7d043e1d29523c5137ffbbb2d01c2c3edaa6230d4c8fe382283890582dae7dbb
-SIZE (cakephp-2.2.7.tar.gz) = 1204588
+SHA256 (cakephp-2.3.6.tar.gz) = c0f3af6b25094f5cd58eca933c838ba1f94c1c4d737d8e7c45aeaecf236c67d2
+SIZE (cakephp-2.3.6.tar.gz) = 1377844

Modified: head/www/cakephp23/pkg-plist
==============================================================================
--- head/www/cakephp22/pkg-plist	Sun Jun 23 12:34:33 2013	(r321632)
+++ head/www/cakephp23/pkg-plist	Mon Jun 24 20:55:09 2013	(r321716)
@@ -70,6 +70,7 @@
 %%WWWDIR%%/lib/Cake/Cache/Engine/RedisEngine.php
 %%WWWDIR%%/lib/Cake/Cache/Engine/WincacheEngine.php
 %%WWWDIR%%/lib/Cake/Cache/Engine/XcacheEngine.php
+%%WWWDIR%%/lib/Cake/Config/cacert.pem
 %%WWWDIR%%/lib/Cake/Config/config.php
 %%WWWDIR%%/lib/Cake/Config/routes.php
 %%WWWDIR%%/lib/Cake/Config/unicode/casefolding/0080_00ff.php
@@ -100,6 +101,7 @@
 %%WWWDIR%%/lib/Cake/Console/Command/ConsoleShell.php
 %%WWWDIR%%/lib/Cake/Console/Command/I18nShell.php
 %%WWWDIR%%/lib/Cake/Console/Command/SchemaShell.php
+%%WWWDIR%%/lib/Cake/Console/Command/ServerShell.php
 %%WWWDIR%%/lib/Cake/Console/Command/TestShell.php
 %%WWWDIR%%/lib/Cake/Console/Command/Task/BakeTask.php
 %%WWWDIR%%/lib/Cake/Console/Command/Task/ControllerTask.php
@@ -141,6 +143,7 @@
 %%WWWDIR%%/lib/Cake/Console/Templates/skel/Config/Schema/sessions.php
 %%WWWDIR%%/lib/Cake/Console/Templates/skel/Config/Schema/sessions.sql
 %%WWWDIR%%/lib/Cake/Console/Templates/skel/Config/acl.ini.php
+%%WWWDIR%%/lib/Cake/Console/Templates/skel/Config/acl.php
 %%WWWDIR%%/lib/Cake/Console/Templates/skel/Config/bootstrap.php
 %%WWWDIR%%/lib/Cake/Console/Templates/skel/Config/core.php
 %%WWWDIR%%/lib/Cake/Console/Templates/skel/Config/database.php.default
@@ -194,6 +197,7 @@
 %%WWWDIR%%/lib/Cake/Controller/Component/Auth/BaseAuthenticate.php
 %%WWWDIR%%/lib/Cake/Controller/Component/Auth/BaseAuthorize.php
 %%WWWDIR%%/lib/Cake/Controller/Component/Auth/BasicAuthenticate.php
+%%WWWDIR%%/lib/Cake/Controller/Component/Auth/BlowfishAuthenticate.php
 %%WWWDIR%%/lib/Cake/Controller/Component/Auth/ControllerAuthorize.php
 %%WWWDIR%%/lib/Cake/Controller/Component/Auth/CrudAuthorize.php
 %%WWWDIR%%/lib/Cake/Controller/Component/Auth/DigestAuthenticate.php
@@ -268,6 +272,7 @@
 %%WWWDIR%%/lib/Cake/Network/Http/DigestAuthentication.php
 %%WWWDIR%%/lib/Cake/Network/Http/HttpResponse.php
 %%WWWDIR%%/lib/Cake/Network/Http/HttpSocket.php
+%%WWWDIR%%/lib/Cake/Network/Http/HttpSocketResponse.php
 %%WWWDIR%%/lib/Cake/Routing/Dispatcher.php
 %%WWWDIR%%/lib/Cake/Routing/DispatcherFilter.php
 %%WWWDIR%%/lib/Cake/Routing/Filter/AssetDispatcher.php
@@ -337,6 +342,7 @@
 %%WWWDIR%%/lib/Cake/Test/Case/Controller/Component/Acl/PhpAclTest.php
 %%WWWDIR%%/lib/Cake/Test/Case/Controller/Component/Auth/ActionsAuthorizeTest.php
 %%WWWDIR%%/lib/Cake/Test/Case/Controller/Component/Auth/BasicAuthenticateTest.php
+%%WWWDIR%%/lib/Cake/Test/Case/Controller/Component/Auth/BlowfishAuthenticateTest.php
 %%WWWDIR%%/lib/Cake/Test/Case/Controller/Component/Auth/ControllerAuthorizeTest.php
 %%WWWDIR%%/lib/Cake/Test/Case/Controller/Component/Auth/CrudAuthorizeTest.php
 %%WWWDIR%%/lib/Cake/Test/Case/Controller/Component/Auth/DigestAuthenticateTest.php
@@ -494,6 +500,7 @@
 %%WWWDIR%%/lib/Cake/Test/Fixture/BinaryTestFixture.php
 %%WWWDIR%%/lib/Cake/Test/Fixture/BookFixture.php
 %%WWWDIR%%/lib/Cake/Test/Fixture/CacheTestModelFixture.php
+%%WWWDIR%%/lib/Cake/Test/Fixture/CakeSessionFixture.php
 %%WWWDIR%%/lib/Cake/Test/Fixture/CallbackFixture.php
 %%WWWDIR%%/lib/Cake/Test/Fixture/CampaignFixture.php
 %%WWWDIR%%/lib/Cake/Test/Fixture/CategoryFixture.php
@@ -726,6 +733,7 @@
 %%WWWDIR%%/lib/Cake/Test/test_app/Plugin/TestPlugin/Lib/Log/Engine/TestPluginLog.php
 %%WWWDIR%%/lib/Cake/Test/test_app/Plugin/TestPlugin/Lib/Routing/Filter/Test2DispatcherFilter.php
 %%WWWDIR%%/lib/Cake/Test/test_app/Plugin/TestPlugin/Lib/Routing/Filter/TestDispatcherFilter.php
+%%WWWDIR%%/lib/Cake/Test/test_app/Plugin/TestPlugin/Lib/Routing/Route/TestRoute.php
 %%WWWDIR%%/lib/Cake/Test/test_app/Plugin/TestPlugin/Lib/TestPluginLibrary.php
 %%WWWDIR%%/lib/Cake/Test/test_app/Plugin/TestPlugin/Lib/TestPluginOtherLibrary.php
 %%WWWDIR%%/lib/Cake/Test/test_app/Plugin/TestPlugin/Locale/po/LC_MESSAGES/test_plugin.po
@@ -792,6 +800,7 @@
 %%WWWDIR%%/lib/Cake/Test/test_app/View/Elements/type_check.ctp
 %%WWWDIR%%/lib/Cake/Test/test_app/View/Emails/html/custom.ctp
 %%WWWDIR%%/lib/Cake/Test/test_app/View/Emails/html/default.ctp
+%%WWWDIR%%/lib/Cake/Test/test_app/View/Emails/html/html.ctp
 %%WWWDIR%%/lib/Cake/Test/test_app/View/Emails/html/image.ctp
 %%WWWDIR%%/lib/Cake/Test/test_app/View/Emails/html/japanese.ctp
 %%WWWDIR%%/lib/Cake/Test/test_app/View/Emails/html/nested_element.ctp
@@ -1064,6 +1073,7 @@
 @dirrm %%WWWDIR%%/lib/Cake/Test/test_app/Plugin/TestPlugin/Locale/po/LC_MESSAGES
 @dirrm %%WWWDIR%%/lib/Cake/Test/test_app/Plugin/TestPlugin/Locale/po
 @dirrm %%WWWDIR%%/lib/Cake/Test/test_app/Plugin/TestPlugin/Locale
+@dirrm %%WWWDIR%%/lib/Cake/Test/test_app/Plugin/TestPlugin/Lib/Routing/Route
 @dirrm %%WWWDIR%%/lib/Cake/Test/test_app/Plugin/TestPlugin/Lib/Routing/Filter
 @dirrm %%WWWDIR%%/lib/Cake/Test/test_app/Plugin/TestPlugin/Lib/Routing
 @dirrm %%WWWDIR%%/lib/Cake/Test/test_app/Plugin/TestPlugin/Lib/Log/Engine
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 Guido Falsi freebsd_committer 2013-06-24 21:55:29 UTC
State Changed
From-To: open->closed

New port added. Thanks!